/// <reference types="node" />
/**
 * Convert an encryption key to a comma separeted hex string.
 * @param key encryption key in plaintext
 */
export declare function toHex(key: string | Buffer): Buffer;
/**
 * Convert a comma separated hex string to a plaintext encryption key.
 * @param key comma separated hex string
 */
export declare function fromHex(key: string | Buffer): Buffer;
export declare function generateRandomKey(): Buffer;
export declare function writeKey(key: string | Buffer, filePath: string): Promise<Buffer>;
export declare function writeKeySync(key: string | Buffer, filePath: string): Buffer;
